Skip to navigation

Remove a bucket custom domain

Removes a custom hostname from the bucket. Requires scope: object-storage.write.

# Example request with curl (set IBEE_API_TOKEN to a platform API token and WORKSPACE_ID to the workspace first).
# BUCKET_NAME: Logical bucket name
# DOMAIN: Hostname to remove
curl -X DELETE "https://api.ibee.ai/v1/object-storage/buckets/$BUCKET_NAME/custom-domains/$DOMAIN?workspace_id=$WORKSPACE_ID" \
-H "Authorization: Bearer $IBEE_API_TOKEN"

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

bucket_namestringRequired
Logical bucket name.
domainstringRequired
Hostname to remove.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Response

Remove a bucket custom domain succeeded.
domainstring
messagestringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
423
Locked Error
503
Service Unavailable Error